<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AantekeningenKadastraalObject StructType
 * @subpackage Structs
 */
class AantekeningenKadastraalObject extends AbstractStructBase
{
    /**
     * The aantekeningen_lijst
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\AantekeningKadastraalObjectLijst
     */
    public $aantekeningen_lijst;
    /**
     * The melding
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $melding;
    /**
     * Constructor method for AantekeningenKadastraalObject
     * @uses AantekeningenKadastraalObject::setAantekeningen_lijst()
     * @uses AantekeningenKadastraalObject::setMelding()
     * @param \StructType\AantekeningKadastraalObjectLijst $aantekeningen_lijst
     * @param string $melding
     */
    public function __construct(\StructType\AantekeningKadastraalObjectLijst $aantekeningen_lijst = null, $melding = null)
    {
        $this
            ->setAantekeningen_lijst($aantekeningen_lijst)
            ->setMelding($melding);
    }
    /**
     * Get aantekeningen_lijst value
     * @return \StructType\AantekeningKadastraalObjectLijst|null
     */
    public function getAantekeningen_lijst()
    {
        return $this->aantekeningen_lijst;
    }
    /**
     * Set aantekeningen_lijst value
     * @param \StructType\AantekeningKadastraalObjectLijst $aantekeningen_lijst
     * @return \StructType\AantekeningenKadastraalObject
     */
    public function setAantekeningen_lijst(\StructType\AantekeningKadastraalObjectLijst $aantekeningen_lijst = null)
    {
        $this->aantekeningen_lijst = $aantekeningen_lijst;
        return $this;
    }
    /**
     * Get melding value
     * @return string|null
     */
    public function getMelding()
    {
        return $this->melding;
    }
    /**
     * Set melding value
     * @param string $melding
     * @return \StructType\AantekeningenKadastraalObject
     */
    public function setMelding($melding = null)
    {
        // validation for constraint: string
        if (!is_null($melding) && !is_string($melding)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($melding, true), gettype($melding)), __LINE__);
        }
        $this->melding = $melding;
        return $this;
    }
}
