<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for belgianBusinessGetDossierRequestType StructType
 * @subpackage Structs
 */
class BelgianBusinessGetDossierRequestType extends AbstractStructBase
{
    /**
     * The vat_number
     * @var string
     */
    public $vat_number;
    /**
     * Constructor method for belgianBusinessGetDossierRequestType
     * @uses BelgianBusinessGetDossierRequestType::setVat_number()
     * @param string $vat_number
     */
    public function __construct($vat_number = null)
    {
        $this
            ->setVat_number($vat_number);
    }
    /**
     * Get vat_number value
     * @return string|null
     */
    public function getVat_number()
    {
        return $this->vat_number;
    }
    /**
     * Set vat_number value
     * @param string $vat_number
     * @return \StructType\BelgianBusinessGetDossierRequestType
     */
    public function setVat_number($vat_number = null)
    {
        // validation for constraint: string
        if (!is_null($vat_number) && !is_string($vat_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vat_number, true), gettype($vat_number)), __LINE__);
        }
        $this->vat_number = $vat_number;
        return $this;
    }
}
