<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyContactInformationV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyContactInformationV2 extends AbstractStructBase
{
    /**
     * The main_address
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeAddressV2
     */
    public $main_address;
    /**
     * The other_addresses
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeAddressV2Array
     */
    public $other_addresses;
    /**
     * Constructor method for CreditsafeCompanyContactInformationV2
     * @uses CreditsafeCompanyContactInformationV2::setMain_address()
     * @uses CreditsafeCompanyContactInformationV2::setOther_addresses()
     * @param \StructType\CreditsafeAddressV2 $main_address
     * @param \ArrayType\CreditsafeAddressV2Array $other_addresses
     */
    public function __construct(\StructType\CreditsafeAddressV2 $main_address = null, \ArrayType\CreditsafeAddressV2Array $other_addresses = null)
    {
        $this
            ->setMain_address($main_address)
            ->setOther_addresses($other_addresses);
    }
    /**
     * Get main_address value
     * @return \StructType\CreditsafeAddressV2|null
     */
    public function getMain_address()
    {
        return $this->main_address;
    }
    /**
     * Set main_address value
     * @param \StructType\CreditsafeAddressV2 $main_address
     * @return \StructType\CreditsafeCompanyContactInformationV2
     */
    public function setMain_address(\StructType\CreditsafeAddressV2 $main_address = null)
    {
        $this->main_address = $main_address;
        return $this;
    }
    /**
     * Get other_addresses value
     * @return \ArrayType\CreditsafeAddressV2Array|null
     */
    public function getOther_addresses()
    {
        return $this->other_addresses;
    }
    /**
     * Set other_addresses value
     * @param \ArrayType\CreditsafeAddressV2Array $other_addresses
     * @return \StructType\CreditsafeCompanyContactInformationV2
     */
    public function setOther_addresses(\ArrayType\CreditsafeAddressV2Array $other_addresses = null)
    {
        $this->other_addresses = $other_addresses;
        return $this;
    }
}
