<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeIndustryQuartilyAnalysis StructType
 * @subpackage Structs
 */
class CreditsafeIndustryQuartilyAnalysis extends AbstractStructBase
{
    /**
     * The payment_expectation_days
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeQuartiles
     */
    public $payment_expectation_days;
    /**
     * The day_sales_outstanding
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeQuartiles
     */
    public $day_sales_outstanding;
    /**
     * Constructor method for CreditsafeIndustryQuartilyAnalysis
     * @uses CreditsafeIndustryQuartilyAnalysis::setPayment_expectation_days()
     * @uses CreditsafeIndustryQuartilyAnalysis::setDay_sales_outstanding()
     * @param \StructType\CreditsafeQuartiles $payment_expectation_days
     * @param \StructType\CreditsafeQuartiles $day_sales_outstanding
     */
    public function __construct(\StructType\CreditsafeQuartiles $payment_expectation_days = null, \StructType\CreditsafeQuartiles $day_sales_outstanding = null)
    {
        $this
            ->setPayment_expectation_days($payment_expectation_days)
            ->setDay_sales_outstanding($day_sales_outstanding);
    }
    /**
     * Get payment_expectation_days value
     * @return \StructType\CreditsafeQuartiles|null
     */
    public function getPayment_expectation_days()
    {
        return $this->payment_expectation_days;
    }
    /**
     * Set payment_expectation_days value
     * @param \StructType\CreditsafeQuartiles $payment_expectation_days
     * @return \StructType\CreditsafeIndustryQuartilyAnalysis
     */
    public function setPayment_expectation_days(\StructType\CreditsafeQuartiles $payment_expectation_days = null)
    {
        $this->payment_expectation_days = $payment_expectation_days;
        return $this;
    }
    /**
     * Get day_sales_outstanding value
     * @return \StructType\CreditsafeQuartiles|null
     */
    public function getDay_sales_outstanding()
    {
        return $this->day_sales_outstanding;
    }
    /**
     * Set day_sales_outstanding value
     * @param \StructType\CreditsafeQuartiles $day_sales_outstanding
     * @return \StructType\CreditsafeIndustryQuartilyAnalysis
     */
    public function setDay_sales_outstanding(\StructType\CreditsafeQuartiles $day_sales_outstanding = null)
    {
        $this->day_sales_outstanding = $day_sales_outstanding;
        return $this;
    }
}
