<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for dnbSearchReferenceRequestType StructType
 * @subpackage Structs
 */
class DnbSearchReferenceRequestType extends AbstractStructBase
{
    /**
     * The name
     * @var string
     */
    public $name;
    /**
     * The streetname
     * @var string
     */
    public $streetname;
    /**
     * The houseno
     * @var string
     */
    public $houseno;
    /**
     * The housenoaddition
     * @var string
     */
    public $housenoaddition;
    /**
     * The postcode
     * @var string
     */
    public $postcode;
    /**
     * The cityname
     * @var string
     */
    public $cityname;
    /**
     * The country
     * @var string
     */
    public $country;
    /**
     * The page
     * @var int
     */
    public $page;
    /**
     * Constructor method for dnbSearchReferenceRequestType
     * @uses DnbSearchReferenceRequestType::setName()
     * @uses DnbSearchReferenceRequestType::setStreetname()
     * @uses DnbSearchReferenceRequestType::setHouseno()
     * @uses DnbSearchReferenceRequestType::setHousenoaddition()
     * @uses DnbSearchReferenceRequestType::setPostcode()
     * @uses DnbSearchReferenceRequestType::setCityname()
     * @uses DnbSearchReferenceRequestType::setCountry()
     * @uses DnbSearchReferenceRequestType::setPage()
     * @param string $name
     * @param string $streetname
     * @param string $houseno
     * @param string $housenoaddition
     * @param string $postcode
     * @param string $cityname
     * @param string $country
     * @param int $page
     */
    public function __construct($name = null, $streetname = null, $houseno = null, $housenoaddition = null, $postcode = null, $cityname = null, $country = null, $page = null)
    {
        $this
            ->setName($name)
            ->setStreetname($streetname)
            ->setHouseno($houseno)
            ->setHousenoaddition($housenoaddition)
            ->setPostcode($postcode)
            ->setCityname($cityname)
            ->setCountry($country)
            ->setPage($page);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\DnbSearchReferenceRequestType
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get streetname value
     * @return string|null
     */
    public function getStreetname()
    {
        return $this->streetname;
    }
    /**
     * Set streetname value
     * @param string $streetname
     * @return \StructType\DnbSearchReferenceRequestType
     */
    public function setStreetname($streetname = null)
    {
        // validation for constraint: string
        if (!is_null($streetname) && !is_string($streetname)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($streetname, true), gettype($streetname)), __LINE__);
        }
        $this->streetname = $streetname;
        return $this;
    }
    /**
     * Get houseno value
     * @return string|null
     */
    public function getHouseno()
    {
        return $this->houseno;
    }
    /**
     * Set houseno value
     * @param string $houseno
     * @return \StructType\DnbSearchReferenceRequestType
     */
    public function setHouseno($houseno = null)
    {
        // validation for constraint: string
        if (!is_null($houseno) && !is_string($houseno)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($houseno, true), gettype($houseno)), __LINE__);
        }
        $this->houseno = $houseno;
        return $this;
    }
    /**
     * Get housenoaddition value
     * @return string|null
     */
    public function getHousenoaddition()
    {
        return $this->housenoaddition;
    }
    /**
     * Set housenoaddition value
     * @param string $housenoaddition
     * @return \StructType\DnbSearchReferenceRequestType
     */
    public function setHousenoaddition($housenoaddition = null)
    {
        // validation for constraint: string
        if (!is_null($housenoaddition) && !is_string($housenoaddition)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($housenoaddition, true), gettype($housenoaddition)), __LINE__);
        }
        $this->housenoaddition = $housenoaddition;
        return $this;
    }
    /**
     * Get postcode value
     * @return string|null
     */
    public function getPostcode()
    {
        return $this->postcode;
    }
    /**
     * Set postcode value
     * @param string $postcode
     * @return \StructType\DnbSearchReferenceRequestType
     */
    public function setPostcode($postcode = null)
    {
        // validation for constraint: string
        if (!is_null($postcode) && !is_string($postcode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($postcode, true), gettype($postcode)), __LINE__);
        }
        $this->postcode = $postcode;
        return $this;
    }
    /**
     * Get cityname value
     * @return string|null
     */
    public function getCityname()
    {
        return $this->cityname;
    }
    /**
     * Set cityname value
     * @param string $cityname
     * @return \StructType\DnbSearchReferenceRequestType
     */
    public function setCityname($cityname = null)
    {
        // validation for constraint: string
        if (!is_null($cityname) && !is_string($cityname)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cityname, true), gettype($cityname)), __LINE__);
        }
        $this->cityname = $cityname;
        return $this;
    }
    /**
     * Get country value
     * @return string|null
     */
    public function getCountry()
    {
        return $this->country;
    }
    /**
     * Set country value
     * @param string $country
     * @return \StructType\DnbSearchReferenceRequestType
     */
    public function setCountry($country = null)
    {
        // validation for constraint: string
        if (!is_null($country) && !is_string($country)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($country, true), gettype($country)), __LINE__);
        }
        $this->country = $country;
        return $this;
    }
    /**
     * Get page value
     * @return int|null
     */
    public function getPage()
    {
        return $this->page;
    }
    /**
     * Set page value
     * @param int $page
     * @return \StructType\DnbSearchReferenceRequestType
     */
    public function setPage($page = null)
    {
        // validation for constraint: int
        if (!is_null($page) && !(is_int($page) || ctype_digit($page))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($page, true), gettype($page)), __LINE__);
        }
        $this->page = $page;
        return $this;
    }
}
