<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for graydonCreditSearchNameRequestType StructType
 * @subpackage Structs
 */
class GraydonCreditSearchNameRequestType extends AbstractStructBase
{
    /**
     * The company_name
     * @var string
     */
    public $company_name;
    /**
     * The residence
     * @var string
     */
    public $residence;
    /**
     * The country_iso2
     * @var string
     */
    public $country_iso2;
    /**
     * Constructor method for graydonCreditSearchNameRequestType
     * @uses GraydonCreditSearchNameRequestType::setCompany_name()
     * @uses GraydonCreditSearchNameRequestType::setResidence()
     * @uses GraydonCreditSearchNameRequestType::setCountry_iso2()
     * @param string $company_name
     * @param string $residence
     * @param string $country_iso2
     */
    public function __construct($company_name = null, $residence = null, $country_iso2 = null)
    {
        $this
            ->setCompany_name($company_name)
            ->setResidence($residence)
            ->setCountry_iso2($country_iso2);
    }
    /**
     * Get company_name value
     * @return string|null
     */
    public function getCompany_name()
    {
        return $this->company_name;
    }
    /**
     * Set company_name value
     * @param string $company_name
     * @return \StructType\GraydonCreditSearchNameRequestType
     */
    public function setCompany_name($company_name = null)
    {
        // validation for constraint: string
        if (!is_null($company_name) && !is_string($company_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($company_name, true), gettype($company_name)), __LINE__);
        }
        $this->company_name = $company_name;
        return $this;
    }
    /**
     * Get residence value
     * @return string|null
     */
    public function getResidence()
    {
        return $this->residence;
    }
    /**
     * Set residence value
     * @param string $residence
     * @return \StructType\GraydonCreditSearchNameRequestType
     */
    public function setResidence($residence = null)
    {
        // validation for constraint: string
        if (!is_null($residence) && !is_string($residence)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($residence, true), gettype($residence)), __LINE__);
        }
        $this->residence = $residence;
        return $this;
    }
    /**
     * Get country_iso2 value
     * @return string|null
     */
    public function getCountry_iso2()
    {
        return $this->country_iso2;
    }
    /**
     * Set country_iso2 value
     * @param string $country_iso2
     * @return \StructType\GraydonCreditSearchNameRequestType
     */
    public function setCountry_iso2($country_iso2 = null)
    {
        // validation for constraint: string
        if (!is_null($country_iso2) && !is_string($country_iso2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($country_iso2, true), gettype($country_iso2)), __LINE__);
        }
        $this->country_iso2 = $country_iso2;
        return $this;
    }
}
