<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for kadasterHypothecairBerichtResultaat StructType
 * @subpackage Structs
 */
class KadasterHypothecairBerichtResultaat extends AbstractStructBase
{
    /**
     * The overzicht
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterOverzicht
     */
    public $overzicht;
    /**
     * The hypothecairbericht
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterHypothecairBerichtObject
     */
    public $hypothecairbericht;
    /**
     * Constructor method for kadasterHypothecairBerichtResultaat
     * @uses KadasterHypothecairBerichtResultaat::setOverzicht()
     * @uses KadasterHypothecairBerichtResultaat::setHypothecairbericht()
     * @param \StructType\KadasterOverzicht $overzicht
     * @param \StructType\KadasterHypothecairBerichtObject $hypothecairbericht
     */
    public function __construct(\StructType\KadasterOverzicht $overzicht = null, \StructType\KadasterHypothecairBerichtObject $hypothecairbericht = null)
    {
        $this
            ->setOverzicht($overzicht)
            ->setHypothecairbericht($hypothecairbericht);
    }
    /**
     * Get overzicht value
     * @return \StructType\KadasterOverzicht|null
     */
    public function getOverzicht()
    {
        return $this->overzicht;
    }
    /**
     * Set overzicht value
     * @param \StructType\KadasterOverzicht $overzicht
     * @return \StructType\KadasterHypothecairBerichtResultaat
     */
    public function setOverzicht(\StructType\KadasterOverzicht $overzicht = null)
    {
        $this->overzicht = $overzicht;
        return $this;
    }
    /**
     * Get hypothecairbericht value
     * @return \StructType\KadasterHypothecairBerichtObject|null
     */
    public function getHypothecairbericht()
    {
        return $this->hypothecairbericht;
    }
    /**
     * Set hypothecairbericht value
     * @param \StructType\KadasterHypothecairBerichtObject $hypothecairbericht
     * @return \StructType\KadasterHypothecairBerichtResultaat
     */
    public function setHypothecairbericht(\StructType\KadasterHypothecairBerichtObject $hypothecairbericht = null)
    {
        $this->hypothecairbericht = $hypothecairbericht;
        return $this;
    }
}
