<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterUittrekselKadastraleKaartResultaat StructType
 * @subpackage Structs
 */
class KadasterUittrekselKadastraleKaartResultaat extends AbstractStructBase
{
    /**
     * The overzicht
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterOverzicht
     */
    public $overzicht;
    /**
     * The kadastrale_kaart
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterUittrekselKadastraleKaartV2
     */
    public $kadastrale_kaart;
    /**
     * Constructor method for KadasterUittrekselKadastraleKaartResultaat
     * @uses KadasterUittrekselKadastraleKaartResultaat::setOverzicht()
     * @uses KadasterUittrekselKadastraleKaartResultaat::setKadastrale_kaart()
     * @param \StructType\KadasterOverzicht $overzicht
     * @param \StructType\KadasterUittrekselKadastraleKaartV2 $kadastrale_kaart
     */
    public function __construct(\StructType\KadasterOverzicht $overzicht = null, \StructType\KadasterUittrekselKadastraleKaartV2 $kadastrale_kaart = null)
    {
        $this
            ->setOverzicht($overzicht)
            ->setKadastrale_kaart($kadastrale_kaart);
    }
    /**
     * Get overzicht value
     * @return \StructType\KadasterOverzicht|null
     */
    public function getOverzicht()
    {
        return $this->overzicht;
    }
    /**
     * Set overzicht value
     * @param \StructType\KadasterOverzicht $overzicht
     * @return \StructType\KadasterUittrekselKadastraleKaartResultaat
     */
    public function setOverzicht(\StructType\KadasterOverzicht $overzicht = null)
    {
        $this->overzicht = $overzicht;
        return $this;
    }
    /**
     * Get kadastrale_kaart value
     * @return \StructType\KadasterUittrekselKadastraleKaartV2|null
     */
    public function getKadastrale_kaart()
    {
        return $this->kadastrale_kaart;
    }
    /**
     * Set kadastrale_kaart value
     * @param \StructType\KadasterUittrekselKadastraleKaartV2 $kadastrale_kaart
     * @return \StructType\KadasterUittrekselKadastraleKaartResultaat
     */
    public function setKadastrale_kaart(\StructType\KadasterUittrekselKadastraleKaartV2 $kadastrale_kaart = null)
    {
        $this->kadastrale_kaart = $kadastrale_kaart;
        return $this;
    }
}
