<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OverzichtNietNatuurlijkPersoon StructType
 * @subpackage Structs
 */
class OverzichtNietNatuurlijkPersoon extends AbstractStructBase
{
    /**
     * The naam
     * @var string
     */
    public $naam;
    /**
     * The code
     * @var string
     */
    public $code;
    /**
     * Constructor method for OverzichtNietNatuurlijkPersoon
     * @uses OverzichtNietNatuurlijkPersoon::setNaam()
     * @uses OverzichtNietNatuurlijkPersoon::setCode()
     * @param string $naam
     * @param string $code
     */
    public function __construct($naam = null, $code = null)
    {
        $this
            ->setNaam($naam)
            ->setCode($code);
    }
    /**
     * Get naam value
     * @return string|null
     */
    public function getNaam()
    {
        return $this->naam;
    }
    /**
     * Set naam value
     * @param string $naam
     * @return \StructType\OverzichtNietNatuurlijkPersoon
     */
    public function setNaam($naam = null)
    {
        // validation for constraint: string
        if (!is_null($naam) && !is_string($naam)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($naam, true), gettype($naam)), __LINE__);
        }
        $this->naam = $naam;
        return $this;
    }
    /**
     * Get code value
     * @return string|null
     */
    public function getCode()
    {
        return $this->code;
    }
    /**
     * Set code value
     * @param string $code
     * @return \StructType\OverzichtNietNatuurlijkPersoon
     */
    public function setCode($code = null)
    {
        // validation for constraint: string
        if (!is_null($code) && !is_string($code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($code, true), gettype($code)), __LINE__);
        }
        $this->code = $code;
        return $this;
    }
}
