<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OverzichtPersoon StructType
 * @subpackage Structs
 */
class OverzichtPersoon extends AbstractStructBase
{
    /**
     * The id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $id;
    /**
     * The natuurlijk_persoon
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\OverzichtNatuurlijkPersoon
     */
    public $natuurlijk_persoon;
    /**
     * The niet_natuurlijk_persoon
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\OverzichtNietNatuurlijkPersoon
     */
    public $niet_natuurlijk_persoon;
    /**
     * Constructor method for OverzichtPersoon
     * @uses OverzichtPersoon::setId()
     * @uses OverzichtPersoon::setNatuurlijk_persoon()
     * @uses OverzichtPersoon::setNiet_natuurlijk_persoon()
     * @param string $id
     * @param \StructType\OverzichtNatuurlijkPersoon $natuurlijk_persoon
     * @param \StructType\OverzichtNietNatuurlijkPersoon $niet_natuurlijk_persoon
     */
    public function __construct($id = null, \StructType\OverzichtNatuurlijkPersoon $natuurlijk_persoon = null, \StructType\OverzichtNietNatuurlijkPersoon $niet_natuurlijk_persoon = null)
    {
        $this
            ->setId($id)
            ->setNatuurlijk_persoon($natuurlijk_persoon)
            ->setNiet_natuurlijk_persoon($niet_natuurlijk_persoon);
    }
    /**
     * Get id value
     * @return string|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param string $id
     * @return \StructType\OverzichtPersoon
     */
    public function setId($id = null)
    {
        // validation for constraint: string
        if (!is_null($id) && !is_string($id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->id = $id;
        return $this;
    }
    /**
     * Get natuurlijk_persoon value
     * @return \StructType\OverzichtNatuurlijkPersoon|null
     */
    public function getNatuurlijk_persoon()
    {
        return $this->natuurlijk_persoon;
    }
    /**
     * Set natuurlijk_persoon value
     * @param \StructType\OverzichtNatuurlijkPersoon $natuurlijk_persoon
     * @return \StructType\OverzichtPersoon
     */
    public function setNatuurlijk_persoon(\StructType\OverzichtNatuurlijkPersoon $natuurlijk_persoon = null)
    {
        $this->natuurlijk_persoon = $natuurlijk_persoon;
        return $this;
    }
    /**
     * Get niet_natuurlijk_persoon value
     * @return \StructType\OverzichtNietNatuurlijkPersoon|null
     */
    public function getNiet_natuurlijk_persoon()
    {
        return $this->niet_natuurlijk_persoon;
    }
    /**
     * Set niet_natuurlijk_persoon value
     * @param \StructType\OverzichtNietNatuurlijkPersoon $niet_natuurlijk_persoon
     * @return \StructType\OverzichtPersoon
     */
    public function setNiet_natuurlijk_persoon(\StructType\OverzichtNietNatuurlijkPersoon $niet_natuurlijk_persoon = null)
    {
        $this->niet_natuurlijk_persoon = $niet_natuurlijk_persoon;
        return $this;
    }
}
