<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RouteDescriptionCoordinatesLatLon StructType
 * @subpackage Structs
 */
class RouteDescriptionCoordinatesLatLon extends AbstractStructBase
{
    /**
     * The routecoordinates
     * @var \StructType\RouteCoordinatesLatLon
     */
    public $routecoordinates;
    /**
     * The parts
     * @var \ArrayType\RoutePartArray
     */
    public $parts;
    /**
     * Constructor method for RouteDescriptionCoordinatesLatLon
     * @uses RouteDescriptionCoordinatesLatLon::setRoutecoordinates()
     * @uses RouteDescriptionCoordinatesLatLon::setParts()
     * @param \StructType\RouteCoordinatesLatLon $routecoordinates
     * @param \ArrayType\RoutePartArray $parts
     */
    public function __construct(\StructType\RouteCoordinatesLatLon $routecoordinates = null, \ArrayType\RoutePartArray $parts = null)
    {
        $this
            ->setRoutecoordinates($routecoordinates)
            ->setParts($parts);
    }
    /**
     * Get routecoordinates value
     * @return \StructType\RouteCoordinatesLatLon|null
     */
    public function getRoutecoordinates()
    {
        return $this->routecoordinates;
    }
    /**
     * Set routecoordinates value
     * @param \StructType\RouteCoordinatesLatLon $routecoordinates
     * @return \StructType\RouteDescriptionCoordinatesLatLon
     */
    public function setRoutecoordinates(\StructType\RouteCoordinatesLatLon $routecoordinates = null)
    {
        $this->routecoordinates = $routecoordinates;
        return $this;
    }
    /**
     * Get parts value
     * @return \ArrayType\RoutePartArray|null
     */
    public function getParts()
    {
        return $this->parts;
    }
    /**
     * Set parts value
     * @param \ArrayType\RoutePartArray $parts
     * @return \StructType\RouteDescriptionCoordinatesLatLon
     */
    public function setParts(\ArrayType\RoutePartArray $parts = null)
    {
        $this->parts = $parts;
        return $this;
    }
}
