<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BusinessSBICodeInfo StructType
 * @subpackage Structs
 */
class BusinessSBICodeInfo extends AbstractStructBase
{
    /**
     * The section
     * @var \StructType\BusinessSBISection
     */
    public $section;
    /**
     * The sbicodes
     * @var \ArrayType\BusinessSBICodeArray
     */
    public $sbicodes;
    /**
     * Constructor method for BusinessSBICodeInfo
     * @uses BusinessSBICodeInfo::setSection()
     * @uses BusinessSBICodeInfo::setSbicodes()
     * @param \StructType\BusinessSBISection $section
     * @param \ArrayType\BusinessSBICodeArray $sbicodes
     */
    public function __construct(\StructType\BusinessSBISection $section = null, \ArrayType\BusinessSBICodeArray $sbicodes = null)
    {
        $this
            ->setSection($section)
            ->setSbicodes($sbicodes);
    }
    /**
     * Get section value
     * @return \StructType\BusinessSBISection|null
     */
    public function getSection()
    {
        return $this->section;
    }
    /**
     * Set section value
     * @param \StructType\BusinessSBISection $section
     * @return \StructType\BusinessSBICodeInfo
     */
    public function setSection(\StructType\BusinessSBISection $section = null)
    {
        $this->section = $section;
        return $this;
    }
    /**
     * Get sbicodes value
     * @return \ArrayType\BusinessSBICodeArray|null
     */
    public function getSbicodes()
    {
        return $this->sbicodes;
    }
    /**
     * Set sbicodes value
     * @param \ArrayType\BusinessSBICodeArray $sbicodes
     * @return \StructType\BusinessSBICodeInfo
     */
    public function setSbicodes(\ArrayType\BusinessSBICodeArray $sbicodes = null)
    {
        $this->sbicodes = $sbicodes;
        return $this;
    }
}
