<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CarVWEBrand StructType
 * @subpackage Structs
 */
class CarVWEBrand extends AbstractStructBase
{
    /**
     * The brand_id
     * @var int
     */
    public $brand_id;
    /**
     * The brand_name
     * @var string
     */
    public $brand_name;
    /**
     * Constructor method for CarVWEBrand
     * @uses CarVWEBrand::setBrand_id()
     * @uses CarVWEBrand::setBrand_name()
     * @param int $brand_id
     * @param string $brand_name
     */
    public function __construct($brand_id = null, $brand_name = null)
    {
        $this
            ->setBrand_id($brand_id)
            ->setBrand_name($brand_name);
    }
    /**
     * Get brand_id value
     * @return int|null
     */
    public function getBrand_id()
    {
        return $this->brand_id;
    }
    /**
     * Set brand_id value
     * @param int $brand_id
     * @return \StructType\CarVWEBrand
     */
    public function setBrand_id($brand_id = null)
    {
        // validation for constraint: int
        if (!is_null($brand_id) && !(is_int($brand_id) || ctype_digit($brand_id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($brand_id, true), gettype($brand_id)), __LINE__);
        }
        $this->brand_id = $brand_id;
        return $this;
    }
    /**
     * Get brand_name value
     * @return string|null
     */
    public function getBrand_name()
    {
        return $this->brand_name;
    }
    /**
     * Set brand_name value
     * @param string $brand_name
     * @return \StructType\CarVWEBrand
     */
    public function setBrand_name($brand_name = null)
    {
        // validation for constraint: string
        if (!is_null($brand_name) && !is_string($brand_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($brand_name, true), gettype($brand_name)), __LINE__);
        }
        $this->brand_name = $brand_name;
        return $this;
    }
}
