<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeAdditionalInformation StructType
 * @subpackage Structs
 */
class CreditsafeAdditionalInformation extends AbstractStructBase
{
    /**
     * The nl
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeNlAdditionalInformation
     */
    public $nl;
    /**
     * The be
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeBeAdditionalInformation
     */
    public $be;
    /**
     * Constructor method for CreditsafeAdditionalInformation
     * @uses CreditsafeAdditionalInformation::setNl()
     * @uses CreditsafeAdditionalInformation::setBe()
     * @param \StructType\CreditsafeNlAdditionalInformation $nl
     * @param \StructType\CreditsafeBeAdditionalInformation $be
     */
    public function __construct(\StructType\CreditsafeNlAdditionalInformation $nl = null, \StructType\CreditsafeBeAdditionalInformation $be = null)
    {
        $this
            ->setNl($nl)
            ->setBe($be);
    }
    /**
     * Get nl value
     * @return \StructType\CreditsafeNlAdditionalInformation|null
     */
    public function getNl()
    {
        return $this->nl;
    }
    /**
     * Set nl value
     * @param \StructType\CreditsafeNlAdditionalInformation $nl
     * @return \StructType\CreditsafeAdditionalInformation
     */
    public function setNl(\StructType\CreditsafeNlAdditionalInformation $nl = null)
    {
        $this->nl = $nl;
        return $this;
    }
    /**
     * Get be value
     * @return \StructType\CreditsafeBeAdditionalInformation|null
     */
    public function getBe()
    {
        return $this->be;
    }
    /**
     * Set be value
     * @param \StructType\CreditsafeBeAdditionalInformation $be
     * @return \StructType\CreditsafeAdditionalInformation
     */
    public function setBe(\StructType\CreditsafeBeAdditionalInformation $be = null)
    {
        $this->be = $be;
        return $this;
    }
}
