<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyCreditScoreV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyCreditScoreV2 extends AbstractStructBase
{
    /**
     * The current_credit_rating
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyCreditRatingV2
     */
    public $current_credit_rating;
    /**
     * The previous_credit_rating
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyCreditRatingV2
     */
    public $previous_credit_rating;
    /**
     * Constructor method for CreditsafeCompanyCreditScoreV2
     * @uses CreditsafeCompanyCreditScoreV2::setCurrent_credit_rating()
     * @uses CreditsafeCompanyCreditScoreV2::setPrevious_credit_rating()
     * @param \StructType\CreditsafeCompanyCreditRatingV2 $current_credit_rating
     * @param \StructType\CreditsafeCompanyCreditRatingV2 $previous_credit_rating
     */
    public function __construct(\StructType\CreditsafeCompanyCreditRatingV2 $current_credit_rating = null, \StructType\CreditsafeCompanyCreditRatingV2 $previous_credit_rating = null)
    {
        $this
            ->setCurrent_credit_rating($current_credit_rating)
            ->setPrevious_credit_rating($previous_credit_rating);
    }
    /**
     * Get current_credit_rating value
     * @return \StructType\CreditsafeCompanyCreditRatingV2|null
     */
    public function getCurrent_credit_rating()
    {
        return $this->current_credit_rating;
    }
    /**
     * Set current_credit_rating value
     * @param \StructType\CreditsafeCompanyCreditRatingV2 $current_credit_rating
     * @return \StructType\CreditsafeCompanyCreditScoreV2
     */
    public function setCurrent_credit_rating(\StructType\CreditsafeCompanyCreditRatingV2 $current_credit_rating = null)
    {
        $this->current_credit_rating = $current_credit_rating;
        return $this;
    }
    /**
     * Get previous_credit_rating value
     * @return \StructType\CreditsafeCompanyCreditRatingV2|null
     */
    public function getPrevious_credit_rating()
    {
        return $this->previous_credit_rating;
    }
    /**
     * Set previous_credit_rating value
     * @param \StructType\CreditsafeCompanyCreditRatingV2 $previous_credit_rating
     * @return \StructType\CreditsafeCompanyCreditScoreV2
     */
    public function setPrevious_credit_rating(\StructType\CreditsafeCompanyCreditRatingV2 $previous_credit_rating = null)
    {
        $this->previous_credit_rating = $previous_credit_rating;
        return $this;
    }
}
