<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyEmployeeInformationV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyEmployeeInformationV2 extends AbstractStructBase
{
    /**
     * The number_of_employees
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $number_of_employees;
    /**
     * The year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $year;
    /**
     * Constructor method for CreditsafeCompanyEmployeeInformationV2
     * @uses CreditsafeCompanyEmployeeInformationV2::setNumber_of_employees()
     * @uses CreditsafeCompanyEmployeeInformationV2::setYear()
     * @param int $number_of_employees
     * @param int $year
     */
    public function __construct($number_of_employees = null, $year = null)
    {
        $this
            ->setNumber_of_employees($number_of_employees)
            ->setYear($year);
    }
    /**
     * Get number_of_employees value
     * @return int|null
     */
    public function getNumber_of_employees()
    {
        return $this->number_of_employees;
    }
    /**
     * Set number_of_employees value
     * @param int $number_of_employees
     * @return \StructType\CreditsafeCompanyEmployeeInformationV2
     */
    public function setNumber_of_employees($number_of_employees = null)
    {
        // validation for constraint: int
        if (!is_null($number_of_employees) && !(is_int($number_of_employees) || ctype_digit($number_of_employees))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($number_of_employees, true), gettype($number_of_employees)), __LINE__);
        }
        $this->number_of_employees = $number_of_employees;
        return $this;
    }
    /**
     * Get year value
     * @return int|null
     */
    public function getYear()
    {
        return $this->year;
    }
    /**
     * Set year value
     * @param int $year
     * @return \StructType\CreditsafeCompanyEmployeeInformationV2
     */
    public function setYear($year = null)
    {
        // validation for constraint: int
        if (!is_null($year) && !(is_int($year) || ctype_digit($year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($year, true), gettype($year)), __LINE__);
        }
        $this->year = $year;
        return $this;
    }
}
