<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeSearchResultV2 StructType
 * @subpackage Structs
 */
class CreditsafeSearchResultV2 extends AbstractStructBase
{
    /**
     * The companies
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyV2Array
     */
    public $companies;
    /**
     * Constructor method for CreditsafeSearchResultV2
     * @uses CreditsafeSearchResultV2::setCompanies()
     * @param \ArrayType\CreditsafeCompanyV2Array $companies
     */
    public function __construct(\ArrayType\CreditsafeCompanyV2Array $companies = null)
    {
        $this
            ->setCompanies($companies);
    }
    /**
     * Get companies value
     * @return \ArrayType\CreditsafeCompanyV2Array|null
     */
    public function getCompanies()
    {
        return $this->companies;
    }
    /**
     * Set companies value
     * @param \ArrayType\CreditsafeCompanyV2Array $companies
     * @return \StructType\CreditsafeSearchResultV2
     */
    public function setCompanies(\ArrayType\CreditsafeCompanyV2Array $companies = null)
    {
        $this->companies = $companies;
        return $this;
    }
}
