<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for dutchBusinessGetConcernRelationsDetailsRequestType
 * StructType
 * @subpackage Structs
 */
class DutchBusinessGetConcernRelationsDetailsRequestType extends AbstractStructBase
{
    /**
     * The dossier_number
     * @var string
     */
    public $dossier_number;
    /**
     * The include_source
     * @var bool
     */
    public $include_source;
    /**
     * Constructor method for dutchBusinessGetConcernRelationsDetailsRequestType
     * @uses DutchBusinessGetConcernRelationsDetailsRequestType::setDossier_number()
     * @uses DutchBusinessGetConcernRelationsDetailsRequestType::setInclude_source()
     * @param string $dossier_number
     * @param bool $include_source
     */
    public function __construct($dossier_number = null, $include_source = null)
    {
        $this
            ->setDossier_number($dossier_number)
            ->setInclude_source($include_source);
    }
    /**
     * Get dossier_number value
     * @return string|null
     */
    public function getDossier_number()
    {
        return $this->dossier_number;
    }
    /**
     * Set dossier_number value
     * @param string $dossier_number
     * @return \StructType\DutchBusinessGetConcernRelationsDetailsRequestType
     */
    public function setDossier_number($dossier_number = null)
    {
        // validation for constraint: string
        if (!is_null($dossier_number) && !is_string($dossier_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dossier_number, true), gettype($dossier_number)), __LINE__);
        }
        $this->dossier_number = $dossier_number;
        return $this;
    }
    /**
     * Get include_source value
     * @return bool|null
     */
    public function getInclude_source()
    {
        return $this->include_source;
    }
    /**
     * Set include_source value
     * @param bool $include_source
     * @return \StructType\DutchBusinessGetConcernRelationsDetailsRequestType
     */
    public function setInclude_source($include_source = null)
    {
        // validation for constraint: boolean
        if (!is_null($include_source) && !is_bool($include_source)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($include_source, true), gettype($include_source)), __LINE__);
        }
        $this->include_source = $include_source;
        return $this;
    }
}
