<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for dutchBusinessGetConcernRelationsOverviewRequestType
 * StructType
 * @subpackage Structs
 */
class DutchBusinessGetConcernRelationsOverviewRequestType extends AbstractStructBase
{
    /**
     * The dossier_number
     * @var string
     */
    public $dossier_number;
    /**
     * Constructor method for dutchBusinessGetConcernRelationsOverviewRequestType
     * @uses DutchBusinessGetConcernRelationsOverviewRequestType::setDossier_number()
     * @param string $dossier_number
     */
    public function __construct($dossier_number = null)
    {
        $this
            ->setDossier_number($dossier_number);
    }
    /**
     * Get dossier_number value
     * @return string|null
     */
    public function getDossier_number()
    {
        return $this->dossier_number;
    }
    /**
     * Set dossier_number value
     * @param string $dossier_number
     * @return \StructType\DutchBusinessGetConcernRelationsOverviewRequestType
     */
    public function setDossier_number($dossier_number = null)
    {
        // validation for constraint: string
        if (!is_null($dossier_number) && !is_string($dossier_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dossier_number, true), gettype($dossier_number)), __LINE__);
        }
        $this->dossier_number = $dossier_number;
        return $this;
    }
}
