<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for geoLocationPostcodeCoordinatesLatLonRequestType StructType
 * @subpackage Structs
 */
class GeoLocationPostcodeCoordinatesLatLonRequestType extends AbstractStructBase
{
    /**
     * The postcode
     * @var string
     */
    public $postcode;
    /**
     * Constructor method for geoLocationPostcodeCoordinatesLatLonRequestType
     * @uses GeoLocationPostcodeCoordinatesLatLonRequestType::setPostcode()
     * @param string $postcode
     */
    public function __construct($postcode = null)
    {
        $this
            ->setPostcode($postcode);
    }
    /**
     * Get postcode value
     * @return string|null
     */
    public function getPostcode()
    {
        return $this->postcode;
    }
    /**
     * Set postcode value
     * @param string $postcode
     * @return \StructType\GeoLocationPostcodeCoordinatesLatLonRequestType
     */
    public function setPostcode($postcode = null)
    {
        // validation for constraint: string
        if (!is_null($postcode) && !is_string($postcode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($postcode, true), gettype($postcode)), __LINE__);
        }
        $this->postcode = $postcode;
        return $this;
    }
}
