<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for kadasterOverzichtV2 StructType
 * @subpackage Structs
 */
class KadasterOverzichtV2 extends AbstractStructBase
{
    /**
     * The onroerende_zaken
     * @var \ArrayType\KadasterOverzichtOnroerendeZaakArray
     */
    public $onroerende_zaken;
    /**
     * The rechten
     * @var \ArrayType\KadasterOverzichtRechtArray
     */
    public $rechten;
    /**
     * The personen
     * @var \ArrayType\KadasterOverzichtPersoonV2Array
     */
    public $personen;
    /**
     * Constructor method for kadasterOverzichtV2
     * @uses KadasterOverzichtV2::setOnroerende_zaken()
     * @uses KadasterOverzichtV2::setRechten()
     * @uses KadasterOverzichtV2::setPersonen()
     * @param \ArrayType\KadasterOverzichtOnroerendeZaakArray $onroerende_zaken
     * @param \ArrayType\KadasterOverzichtRechtArray $rechten
     * @param \ArrayType\KadasterOverzichtPersoonV2Array $personen
     */
    public function __construct(\ArrayType\KadasterOverzichtOnroerendeZaakArray $onroerende_zaken = null, \ArrayType\KadasterOverzichtRechtArray $rechten = null, \ArrayType\KadasterOverzichtPersoonV2Array $personen = null)
    {
        $this
            ->setOnroerende_zaken($onroerende_zaken)
            ->setRechten($rechten)
            ->setPersonen($personen);
    }
    /**
     * Get onroerende_zaken value
     * @return \ArrayType\KadasterOverzichtOnroerendeZaakArray|null
     */
    public function getOnroerende_zaken()
    {
        return $this->onroerende_zaken;
    }
    /**
     * Set onroerende_zaken value
     * @param \ArrayType\KadasterOverzichtOnroerendeZaakArray $onroerende_zaken
     * @return \StructType\KadasterOverzichtV2
     */
    public function setOnroerende_zaken(\ArrayType\KadasterOverzichtOnroerendeZaakArray $onroerende_zaken = null)
    {
        $this->onroerende_zaken = $onroerende_zaken;
        return $this;
    }
    /**
     * Get rechten value
     * @return \ArrayType\KadasterOverzichtRechtArray|null
     */
    public function getRechten()
    {
        return $this->rechten;
    }
    /**
     * Set rechten value
     * @param \ArrayType\KadasterOverzichtRechtArray $rechten
     * @return \StructType\KadasterOverzichtV2
     */
    public function setRechten(\ArrayType\KadasterOverzichtRechtArray $rechten = null)
    {
        $this->rechten = $rechten;
        return $this;
    }
    /**
     * Get personen value
     * @return \ArrayType\KadasterOverzichtPersoonV2Array|null
     */
    public function getPersonen()
    {
        return $this->personen;
    }
    /**
     * Set personen value
     * @param \ArrayType\KadasterOverzichtPersoonV2Array $personen
     * @return \StructType\KadasterOverzichtV2
     */
    public function setPersonen(\ArrayType\KadasterOverzichtPersoonV2Array $personen = null)
    {
        $this->personen = $personen;
        return $this;
    }
}
