<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2NatuurlijkPersoon StructType
 * @subpackage Structs
 */
class KadasterV2NatuurlijkPersoon extends AbstractStructBase
{
    /**
     * The identificatie
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $identificatie;
    /**
     * The indicatie_beschikkingsbevoegdheid
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $indicatie_beschikkingsbevoegdheid;
    /**
     * The bsn
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bsn;
    /**
     * The aanduiding_naamgebruik
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aanduiding_naamgebruik;
    /**
     * The adellijke_titel_of_predikaat
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $adellijke_titel_of_predikaat;
    /**
     * The voorletters
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $voorletters;
    /**
     * The voornamen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $voornamen;
    /**
     * The voorvoegsel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $voorvoegsel;
    /**
     * The geslachtnaam
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $geslachtnaam;
    /**
     * The geslacht
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $geslacht;
    /**
     * The datum_geboorte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $datum_geboorte;
    /**
     * The indicatie_overleden
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $indicatie_overleden;
    /**
     * The datum_overlijden
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $datum_overlijden;
    /**
     * The land_waarnaar_vertrokken
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $land_waarnaar_vertrokken;
    /**
     * The bpr_gekoppeld
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $bpr_gekoppeld;
    /**
     * The burgerlijke_staat_omschrijving
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $burgerlijke_staat_omschrijving;
    /**
     * The postlocatie
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2AdresLocatie
     */
    public $postlocatie;
    /**
     * The woonlocatie
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2AdresLocatie
     */
    public $woonlocatie;
    /**
     * The vermeld_in
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2StukdeelArray
     */
    public $vermeld_in;
    /**
     * The aanvullingen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2AanvullingArray
     */
    public $aanvullingen;
    /**
     * Constructor method for KadasterV2NatuurlijkPersoon
     * @uses KadasterV2NatuurlijkPersoon::setIdentificatie()
     * @uses KadasterV2NatuurlijkPersoon::setIndicatie_beschikkingsbevoegdheid()
     * @uses KadasterV2NatuurlijkPersoon::setBsn()
     * @uses KadasterV2NatuurlijkPersoon::setAanduiding_naamgebruik()
     * @uses KadasterV2NatuurlijkPersoon::setAdellijke_titel_of_predikaat()
     * @uses KadasterV2NatuurlijkPersoon::setVoorletters()
     * @uses KadasterV2NatuurlijkPersoon::setVoornamen()
     * @uses KadasterV2NatuurlijkPersoon::setVoorvoegsel()
     * @uses KadasterV2NatuurlijkPersoon::setGeslachtnaam()
     * @uses KadasterV2NatuurlijkPersoon::setGeslacht()
     * @uses KadasterV2NatuurlijkPersoon::setDatum_geboorte()
     * @uses KadasterV2NatuurlijkPersoon::setIndicatie_overleden()
     * @uses KadasterV2NatuurlijkPersoon::setDatum_overlijden()
     * @uses KadasterV2NatuurlijkPersoon::setLand_waarnaar_vertrokken()
     * @uses KadasterV2NatuurlijkPersoon::setBpr_gekoppeld()
     * @uses KadasterV2NatuurlijkPersoon::setBurgerlijke_staat_omschrijving()
     * @uses KadasterV2NatuurlijkPersoon::setPostlocatie()
     * @uses KadasterV2NatuurlijkPersoon::setWoonlocatie()
     * @uses KadasterV2NatuurlijkPersoon::setVermeld_in()
     * @uses KadasterV2NatuurlijkPersoon::setAanvullingen()
     * @param string $identificatie
     * @param bool $indicatie_beschikkingsbevoegdheid
     * @param string $bsn
     * @param string $aanduiding_naamgebruik
     * @param string $adellijke_titel_of_predikaat
     * @param string $voorletters
     * @param string $voornamen
     * @param string $voorvoegsel
     * @param string $geslachtnaam
     * @param string $geslacht
     * @param string $datum_geboorte
     * @param bool $indicatie_overleden
     * @param string $datum_overlijden
     * @param string $land_waarnaar_vertrokken
     * @param bool $bpr_gekoppeld
     * @param string $burgerlijke_staat_omschrijving
     * @param \StructType\KadasterV2AdresLocatie $postlocatie
     * @param \StructType\KadasterV2AdresLocatie $woonlocatie
     * @param \ArrayType\KadasterV2StukdeelArray $vermeld_in
     * @param \ArrayType\KadasterV2AanvullingArray $aanvullingen
     */
    public function __construct($identificatie = null, $indicatie_beschikkingsbevoegdheid = null, $bsn = null, $aanduiding_naamgebruik = null, $adellijke_titel_of_predikaat = null, $voorletters = null, $voornamen = null, $voorvoegsel = null, $geslachtnaam = null, $geslacht = null, $datum_geboorte = null, $indicatie_overleden = null, $datum_overlijden = null, $land_waarnaar_vertrokken = null, $bpr_gekoppeld = null, $burgerlijke_staat_omschrijving = null, \StructType\KadasterV2AdresLocatie $postlocatie = null, \StructType\KadasterV2AdresLocatie $woonlocatie = null, \ArrayType\KadasterV2StukdeelArray $vermeld_in = null, \ArrayType\KadasterV2AanvullingArray $aanvullingen = null)
    {
        $this
            ->setIdentificatie($identificatie)
            ->setIndicatie_beschikkingsbevoegdheid($indicatie_beschikkingsbevoegdheid)
            ->setBsn($bsn)
            ->setAanduiding_naamgebruik($aanduiding_naamgebruik)
            ->setAdellijke_titel_of_predikaat($adellijke_titel_of_predikaat)
            ->setVoorletters($voorletters)
            ->setVoornamen($voornamen)
            ->setVoorvoegsel($voorvoegsel)
            ->setGeslachtnaam($geslachtnaam)
            ->setGeslacht($geslacht)
            ->setDatum_geboorte($datum_geboorte)
            ->setIndicatie_overleden($indicatie_overleden)
            ->setDatum_overlijden($datum_overlijden)
            ->setLand_waarnaar_vertrokken($land_waarnaar_vertrokken)
            ->setBpr_gekoppeld($bpr_gekoppeld)
            ->setBurgerlijke_staat_omschrijving($burgerlijke_staat_omschrijving)
            ->setPostlocatie($postlocatie)
            ->setWoonlocatie($woonlocatie)
            ->setVermeld_in($vermeld_in)
            ->setAanvullingen($aanvullingen);
    }
    /**
     * Get identificatie value
     * @return string
     */
    public function getIdentificatie()
    {
        return $this->identificatie;
    }
    /**
     * Set identificatie value
     * @param string $identificatie
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setIdentificatie($identificatie = null)
    {
        // validation for constraint: string
        if (!is_null($identificatie) && !is_string($identificatie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($identificatie, true), gettype($identificatie)), __LINE__);
        }
        $this->identificatie = $identificatie;
        return $this;
    }
    /**
     * Get indicatie_beschikkingsbevoegdheid value
     * @return bool|null
     */
    public function getIndicatie_beschikkingsbevoegdheid()
    {
        return $this->indicatie_beschikkingsbevoegdheid;
    }
    /**
     * Set indicatie_beschikkingsbevoegdheid value
     * @param bool $indicatie_beschikkingsbevoegdheid
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setIndicatie_beschikkingsbevoegdheid($indicatie_beschikkingsbevoegdheid = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_beschikkingsbevoegdheid) && !is_bool($indicatie_beschikkingsbevoegdheid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_beschikkingsbevoegdheid, true), gettype($indicatie_beschikkingsbevoegdheid)), __LINE__);
        }
        $this->indicatie_beschikkingsbevoegdheid = $indicatie_beschikkingsbevoegdheid;
        return $this;
    }
    /**
     * Get bsn value
     * @return string|null
     */
    public function getBsn()
    {
        return $this->bsn;
    }
    /**
     * Set bsn value
     * @param string $bsn
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setBsn($bsn = null)
    {
        // validation for constraint: string
        if (!is_null($bsn) && !is_string($bsn)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bsn, true), gettype($bsn)), __LINE__);
        }
        $this->bsn = $bsn;
        return $this;
    }
    /**
     * Get aanduiding_naamgebruik value
     * @return string|null
     */
    public function getAanduiding_naamgebruik()
    {
        return $this->aanduiding_naamgebruik;
    }
    /**
     * Set aanduiding_naamgebruik value
     * @param string $aanduiding_naamgebruik
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setAanduiding_naamgebruik($aanduiding_naamgebruik = null)
    {
        // validation for constraint: string
        if (!is_null($aanduiding_naamgebruik) && !is_string($aanduiding_naamgebruik)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aanduiding_naamgebruik, true), gettype($aanduiding_naamgebruik)), __LINE__);
        }
        $this->aanduiding_naamgebruik = $aanduiding_naamgebruik;
        return $this;
    }
    /**
     * Get adellijke_titel_of_predikaat value
     * @return string|null
     */
    public function getAdellijke_titel_of_predikaat()
    {
        return $this->adellijke_titel_of_predikaat;
    }
    /**
     * Set adellijke_titel_of_predikaat value
     * @param string $adellijke_titel_of_predikaat
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setAdellijke_titel_of_predikaat($adellijke_titel_of_predikaat = null)
    {
        // validation for constraint: string
        if (!is_null($adellijke_titel_of_predikaat) && !is_string($adellijke_titel_of_predikaat)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($adellijke_titel_of_predikaat, true), gettype($adellijke_titel_of_predikaat)), __LINE__);
        }
        $this->adellijke_titel_of_predikaat = $adellijke_titel_of_predikaat;
        return $this;
    }
    /**
     * Get voorletters value
     * @return string|null
     */
    public function getVoorletters()
    {
        return $this->voorletters;
    }
    /**
     * Set voorletters value
     * @param string $voorletters
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setVoorletters($voorletters = null)
    {
        // validation for constraint: string
        if (!is_null($voorletters) && !is_string($voorletters)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($voorletters, true), gettype($voorletters)), __LINE__);
        }
        $this->voorletters = $voorletters;
        return $this;
    }
    /**
     * Get voornamen value
     * @return string|null
     */
    public function getVoornamen()
    {
        return $this->voornamen;
    }
    /**
     * Set voornamen value
     * @param string $voornamen
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setVoornamen($voornamen = null)
    {
        // validation for constraint: string
        if (!is_null($voornamen) && !is_string($voornamen)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($voornamen, true), gettype($voornamen)), __LINE__);
        }
        $this->voornamen = $voornamen;
        return $this;
    }
    /**
     * Get voorvoegsel value
     * @return string|null
     */
    public function getVoorvoegsel()
    {
        return $this->voorvoegsel;
    }
    /**
     * Set voorvoegsel value
     * @param string $voorvoegsel
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setVoorvoegsel($voorvoegsel = null)
    {
        // validation for constraint: string
        if (!is_null($voorvoegsel) && !is_string($voorvoegsel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($voorvoegsel, true), gettype($voorvoegsel)), __LINE__);
        }
        $this->voorvoegsel = $voorvoegsel;
        return $this;
    }
    /**
     * Get geslachtnaam value
     * @return string|null
     */
    public function getGeslachtnaam()
    {
        return $this->geslachtnaam;
    }
    /**
     * Set geslachtnaam value
     * @param string $geslachtnaam
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setGeslachtnaam($geslachtnaam = null)
    {
        // validation for constraint: string
        if (!is_null($geslachtnaam) && !is_string($geslachtnaam)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($geslachtnaam, true), gettype($geslachtnaam)), __LINE__);
        }
        $this->geslachtnaam = $geslachtnaam;
        return $this;
    }
    /**
     * Get geslacht value
     * @return string|null
     */
    public function getGeslacht()
    {
        return $this->geslacht;
    }
    /**
     * Set geslacht value
     * @param string $geslacht
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setGeslacht($geslacht = null)
    {
        // validation for constraint: string
        if (!is_null($geslacht) && !is_string($geslacht)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($geslacht, true), gettype($geslacht)), __LINE__);
        }
        $this->geslacht = $geslacht;
        return $this;
    }
    /**
     * Get datum_geboorte value
     * @return string|null
     */
    public function getDatum_geboorte()
    {
        return $this->datum_geboorte;
    }
    /**
     * Set datum_geboorte value
     * @param string $datum_geboorte
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setDatum_geboorte($datum_geboorte = null)
    {
        // validation for constraint: string
        if (!is_null($datum_geboorte) && !is_string($datum_geboorte)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($datum_geboorte, true), gettype($datum_geboorte)), __LINE__);
        }
        $this->datum_geboorte = $datum_geboorte;
        return $this;
    }
    /**
     * Get indicatie_overleden value
     * @return bool|null
     */
    public function getIndicatie_overleden()
    {
        return $this->indicatie_overleden;
    }
    /**
     * Set indicatie_overleden value
     * @param bool $indicatie_overleden
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setIndicatie_overleden($indicatie_overleden = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_overleden) && !is_bool($indicatie_overleden)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_overleden, true), gettype($indicatie_overleden)), __LINE__);
        }
        $this->indicatie_overleden = $indicatie_overleden;
        return $this;
    }
    /**
     * Get datum_overlijden value
     * @return string|null
     */
    public function getDatum_overlijden()
    {
        return $this->datum_overlijden;
    }
    /**
     * Set datum_overlijden value
     * @param string $datum_overlijden
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setDatum_overlijden($datum_overlijden = null)
    {
        // validation for constraint: string
        if (!is_null($datum_overlijden) && !is_string($datum_overlijden)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($datum_overlijden, true), gettype($datum_overlijden)), __LINE__);
        }
        $this->datum_overlijden = $datum_overlijden;
        return $this;
    }
    /**
     * Get land_waarnaar_vertrokken value
     * @return string|null
     */
    public function getLand_waarnaar_vertrokken()
    {
        return $this->land_waarnaar_vertrokken;
    }
    /**
     * Set land_waarnaar_vertrokken value
     * @param string $land_waarnaar_vertrokken
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setLand_waarnaar_vertrokken($land_waarnaar_vertrokken = null)
    {
        // validation for constraint: string
        if (!is_null($land_waarnaar_vertrokken) && !is_string($land_waarnaar_vertrokken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($land_waarnaar_vertrokken, true), gettype($land_waarnaar_vertrokken)), __LINE__);
        }
        $this->land_waarnaar_vertrokken = $land_waarnaar_vertrokken;
        return $this;
    }
    /**
     * Get bpr_gekoppeld value
     * @return bool|null
     */
    public function getBpr_gekoppeld()
    {
        return $this->bpr_gekoppeld;
    }
    /**
     * Set bpr_gekoppeld value
     * @param bool $bpr_gekoppeld
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setBpr_gekoppeld($bpr_gekoppeld = null)
    {
        // validation for constraint: boolean
        if (!is_null($bpr_gekoppeld) && !is_bool($bpr_gekoppeld)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($bpr_gekoppeld, true), gettype($bpr_gekoppeld)), __LINE__);
        }
        $this->bpr_gekoppeld = $bpr_gekoppeld;
        return $this;
    }
    /**
     * Get burgerlijke_staat_omschrijving value
     * @return string|null
     */
    public function getBurgerlijke_staat_omschrijving()
    {
        return $this->burgerlijke_staat_omschrijving;
    }
    /**
     * Set burgerlijke_staat_omschrijving value
     * @param string $burgerlijke_staat_omschrijving
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setBurgerlijke_staat_omschrijving($burgerlijke_staat_omschrijving = null)
    {
        // validation for constraint: string
        if (!is_null($burgerlijke_staat_omschrijving) && !is_string($burgerlijke_staat_omschrijving)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($burgerlijke_staat_omschrijving, true), gettype($burgerlijke_staat_omschrijving)), __LINE__);
        }
        $this->burgerlijke_staat_omschrijving = $burgerlijke_staat_omschrijving;
        return $this;
    }
    /**
     * Get postlocatie value
     * @return \StructType\KadasterV2AdresLocatie|null
     */
    public function getPostlocatie()
    {
        return $this->postlocatie;
    }
    /**
     * Set postlocatie value
     * @param \StructType\KadasterV2AdresLocatie $postlocatie
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setPostlocatie(\StructType\KadasterV2AdresLocatie $postlocatie = null)
    {
        $this->postlocatie = $postlocatie;
        return $this;
    }
    /**
     * Get woonlocatie value
     * @return \StructType\KadasterV2AdresLocatie|null
     */
    public function getWoonlocatie()
    {
        return $this->woonlocatie;
    }
    /**
     * Set woonlocatie value
     * @param \StructType\KadasterV2AdresLocatie $woonlocatie
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setWoonlocatie(\StructType\KadasterV2AdresLocatie $woonlocatie = null)
    {
        $this->woonlocatie = $woonlocatie;
        return $this;
    }
    /**
     * Get vermeld_in value
     * @return \ArrayType\KadasterV2StukdeelArray|null
     */
    public function getVermeld_in()
    {
        return $this->vermeld_in;
    }
    /**
     * Set vermeld_in value
     * @param \ArrayType\KadasterV2StukdeelArray $vermeld_in
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setVermeld_in(\ArrayType\KadasterV2StukdeelArray $vermeld_in = null)
    {
        $this->vermeld_in = $vermeld_in;
        return $this;
    }
    /**
     * Get aanvullingen value
     * @return \ArrayType\KadasterV2AanvullingArray|null
     */
    public function getAanvullingen()
    {
        return $this->aanvullingen;
    }
    /**
     * Set aanvullingen value
     * @param \ArrayType\KadasterV2AanvullingArray $aanvullingen
     * @return \StructType\KadasterV2NatuurlijkPersoon
     */
    public function setAanvullingen(\ArrayType\KadasterV2AanvullingArray $aanvullingen = null)
    {
        $this->aanvullingen = $aanvullingen;
        return $this;
    }
}
