<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2Stukken StructType
 * @subpackage Structs
 */
class KadasterV2Stukken extends AbstractStructBase
{
    /**
     * The stukken
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2StukArray
     */
    public $stukken;
    /**
     * The aangeboden_stukken
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2AangebodenStukArray
     */
    public $aangeboden_stukken;
    /**
     * Constructor method for KadasterV2Stukken
     * @uses KadasterV2Stukken::setStukken()
     * @uses KadasterV2Stukken::setAangeboden_stukken()
     * @param \ArrayType\KadasterV2StukArray $stukken
     * @param \ArrayType\KadasterV2AangebodenStukArray $aangeboden_stukken
     */
    public function __construct(\ArrayType\KadasterV2StukArray $stukken = null, \ArrayType\KadasterV2AangebodenStukArray $aangeboden_stukken = null)
    {
        $this
            ->setStukken($stukken)
            ->setAangeboden_stukken($aangeboden_stukken);
    }
    /**
     * Get stukken value
     * @return \ArrayType\KadasterV2StukArray|null
     */
    public function getStukken()
    {
        return $this->stukken;
    }
    /**
     * Set stukken value
     * @param \ArrayType\KadasterV2StukArray $stukken
     * @return \StructType\KadasterV2Stukken
     */
    public function setStukken(\ArrayType\KadasterV2StukArray $stukken = null)
    {
        $this->stukken = $stukken;
        return $this;
    }
    /**
     * Get aangeboden_stukken value
     * @return \ArrayType\KadasterV2AangebodenStukArray|null
     */
    public function getAangeboden_stukken()
    {
        return $this->aangeboden_stukken;
    }
    /**
     * Set aangeboden_stukken value
     * @param \ArrayType\KadasterV2AangebodenStukArray $aangeboden_stukken
     * @return \StructType\KadasterV2Stukken
     */
    public function setAangeboden_stukken(\ArrayType\KadasterV2AangebodenStukArray $aangeboden_stukken = null)
    {
        $this->aangeboden_stukken = $aangeboden_stukken;
        return $this;
    }
}
