<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PCReeks StructType
 * @subpackage Structs
 */
class PCReeks extends AbstractStructBase
{
    /**
     * The reeksid
     * @var int
     */
    public $reeksid;
    /**
     * The huisnr_van
     * @var int
     */
    public $huisnr_van;
    /**
     * The huisnr_tm
     * @var int
     */
    public $huisnr_tm;
    /**
     * The wijkcode
     * @var string
     */
    public $wijkcode;
    /**
     * The lettercombinatie
     * @var string
     */
    public $lettercombinatie;
    /**
     * The reeksindicatie
     * @var string
     */
    public $reeksindicatie;
    /**
     * The straatid
     * @var int
     */
    public $straatid;
    /**
     * The straatnaam
     * @var string
     */
    public $straatnaam;
    /**
     * The straatnaam_nen
     * @var string
     */
    public $straatnaam_nen;
    /**
     * The straatnaam_ptt
     * @var string
     */
    public $straatnaam_ptt;
    /**
     * The straatnaam_extract
     * @var string
     */
    public $straatnaam_extract;
    /**
     * The plaatsid
     * @var int
     */
    public $plaatsid;
    /**
     * The plaatsnaam
     * @var string
     */
    public $plaatsnaam;
    /**
     * The plaatsnaam_ptt
     * @var string
     */
    public $plaatsnaam_ptt;
    /**
     * The plaatsnaam_extract
     * @var string
     */
    public $plaatsnaam_extract;
    /**
     * The gemeenteid
     * @var int
     */
    public $gemeenteid;
    /**
     * The gemeentenaam
     * @var string
     */
    public $gemeentenaam;
    /**
     * The gemeentecode
     * @var int
     */
    public $gemeentecode;
    /**
     * The cebucocode
     * @var int
     */
    public $cebucocode;
    /**
     * The provinciecode
     * @var string
     */
    public $provinciecode;
    /**
     * The provincienaam
     * @var string
     */
    public $provincienaam;
    /**
     * Constructor method for PCReeks
     * @uses PCReeks::setReeksid()
     * @uses PCReeks::setHuisnr_van()
     * @uses PCReeks::setHuisnr_tm()
     * @uses PCReeks::setWijkcode()
     * @uses PCReeks::setLettercombinatie()
     * @uses PCReeks::setReeksindicatie()
     * @uses PCReeks::setStraatid()
     * @uses PCReeks::setStraatnaam()
     * @uses PCReeks::setStraatnaam_nen()
     * @uses PCReeks::setStraatnaam_ptt()
     * @uses PCReeks::setStraatnaam_extract()
     * @uses PCReeks::setPlaatsid()
     * @uses PCReeks::setPlaatsnaam()
     * @uses PCReeks::setPlaatsnaam_ptt()
     * @uses PCReeks::setPlaatsnaam_extract()
     * @uses PCReeks::setGemeenteid()
     * @uses PCReeks::setGemeentenaam()
     * @uses PCReeks::setGemeentecode()
     * @uses PCReeks::setCebucocode()
     * @uses PCReeks::setProvinciecode()
     * @uses PCReeks::setProvincienaam()
     * @param int $reeksid
     * @param int $huisnr_van
     * @param int $huisnr_tm
     * @param string $wijkcode
     * @param string $lettercombinatie
     * @param string $reeksindicatie
     * @param int $straatid
     * @param string $straatnaam
     * @param string $straatnaam_nen
     * @param string $straatnaam_ptt
     * @param string $straatnaam_extract
     * @param int $plaatsid
     * @param string $plaatsnaam
     * @param string $plaatsnaam_ptt
     * @param string $plaatsnaam_extract
     * @param int $gemeenteid
     * @param string $gemeentenaam
     * @param int $gemeentecode
     * @param int $cebucocode
     * @param string $provinciecode
     * @param string $provincienaam
     */
    public function __construct($reeksid = null, $huisnr_van = null, $huisnr_tm = null, $wijkcode = null, $lettercombinatie = null, $reeksindicatie = null, $straatid = null, $straatnaam = null, $straatnaam_nen = null, $straatnaam_ptt = null, $straatnaam_extract = null, $plaatsid = null, $plaatsnaam = null, $plaatsnaam_ptt = null, $plaatsnaam_extract = null, $gemeenteid = null, $gemeentenaam = null, $gemeentecode = null, $cebucocode = null, $provinciecode = null, $provincienaam = null)
    {
        $this
            ->setReeksid($reeksid)
            ->setHuisnr_van($huisnr_van)
            ->setHuisnr_tm($huisnr_tm)
            ->setWijkcode($wijkcode)
            ->setLettercombinatie($lettercombinatie)
            ->setReeksindicatie($reeksindicatie)
            ->setStraatid($straatid)
            ->setStraatnaam($straatnaam)
            ->setStraatnaam_nen($straatnaam_nen)
            ->setStraatnaam_ptt($straatnaam_ptt)
            ->setStraatnaam_extract($straatnaam_extract)
            ->setPlaatsid($plaatsid)
            ->setPlaatsnaam($plaatsnaam)
            ->setPlaatsnaam_ptt($plaatsnaam_ptt)
            ->setPlaatsnaam_extract($plaatsnaam_extract)
            ->setGemeenteid($gemeenteid)
            ->setGemeentenaam($gemeentenaam)
            ->setGemeentecode($gemeentecode)
            ->setCebucocode($cebucocode)
            ->setProvinciecode($provinciecode)
            ->setProvincienaam($provincienaam);
    }
    /**
     * Get reeksid value
     * @return int|null
     */
    public function getReeksid()
    {
        return $this->reeksid;
    }
    /**
     * Set reeksid value
     * @param int $reeksid
     * @return \StructType\PCReeks
     */
    public function setReeksid($reeksid = null)
    {
        // validation for constraint: int
        if (!is_null($reeksid) && !(is_int($reeksid) || ctype_digit($reeksid))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($reeksid, true), gettype($reeksid)), __LINE__);
        }
        $this->reeksid = $reeksid;
        return $this;
    }
    /**
     * Get huisnr_van value
     * @return int|null
     */
    public function getHuisnr_van()
    {
        return $this->huisnr_van;
    }
    /**
     * Set huisnr_van value
     * @param int $huisnr_van
     * @return \StructType\PCReeks
     */
    public function setHuisnr_van($huisnr_van = null)
    {
        // validation for constraint: int
        if (!is_null($huisnr_van) && !(is_int($huisnr_van) || ctype_digit($huisnr_van))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($huisnr_van, true), gettype($huisnr_van)), __LINE__);
        }
        $this->huisnr_van = $huisnr_van;
        return $this;
    }
    /**
     * Get huisnr_tm value
     * @return int|null
     */
    public function getHuisnr_tm()
    {
        return $this->huisnr_tm;
    }
    /**
     * Set huisnr_tm value
     * @param int $huisnr_tm
     * @return \StructType\PCReeks
     */
    public function setHuisnr_tm($huisnr_tm = null)
    {
        // validation for constraint: int
        if (!is_null($huisnr_tm) && !(is_int($huisnr_tm) || ctype_digit($huisnr_tm))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($huisnr_tm, true), gettype($huisnr_tm)), __LINE__);
        }
        $this->huisnr_tm = $huisnr_tm;
        return $this;
    }
    /**
     * Get wijkcode value
     * @return string|null
     */
    public function getWijkcode()
    {
        return $this->wijkcode;
    }
    /**
     * Set wijkcode value
     * @param string $wijkcode
     * @return \StructType\PCReeks
     */
    public function setWijkcode($wijkcode = null)
    {
        // validation for constraint: string
        if (!is_null($wijkcode) && !is_string($wijkcode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($wijkcode, true), gettype($wijkcode)), __LINE__);
        }
        $this->wijkcode = $wijkcode;
        return $this;
    }
    /**
     * Get lettercombinatie value
     * @return string|null
     */
    public function getLettercombinatie()
    {
        return $this->lettercombinatie;
    }
    /**
     * Set lettercombinatie value
     * @param string $lettercombinatie
     * @return \StructType\PCReeks
     */
    public function setLettercombinatie($lettercombinatie = null)
    {
        // validation for constraint: string
        if (!is_null($lettercombinatie) && !is_string($lettercombinatie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($lettercombinatie, true), gettype($lettercombinatie)), __LINE__);
        }
        $this->lettercombinatie = $lettercombinatie;
        return $this;
    }
    /**
     * Get reeksindicatie value
     * @return string|null
     */
    public function getReeksindicatie()
    {
        return $this->reeksindicatie;
    }
    /**
     * Set reeksindicatie value
     * @param string $reeksindicatie
     * @return \StructType\PCReeks
     */
    public function setReeksindicatie($reeksindicatie = null)
    {
        // validation for constraint: string
        if (!is_null($reeksindicatie) && !is_string($reeksindicatie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($reeksindicatie, true), gettype($reeksindicatie)), __LINE__);
        }
        $this->reeksindicatie = $reeksindicatie;
        return $this;
    }
    /**
     * Get straatid value
     * @return int|null
     */
    public function getStraatid()
    {
        return $this->straatid;
    }
    /**
     * Set straatid value
     * @param int $straatid
     * @return \StructType\PCReeks
     */
    public function setStraatid($straatid = null)
    {
        // validation for constraint: int
        if (!is_null($straatid) && !(is_int($straatid) || ctype_digit($straatid))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($straatid, true), gettype($straatid)), __LINE__);
        }
        $this->straatid = $straatid;
        return $this;
    }
    /**
     * Get straatnaam value
     * @return string|null
     */
    public function getStraatnaam()
    {
        return $this->straatnaam;
    }
    /**
     * Set straatnaam value
     * @param string $straatnaam
     * @return \StructType\PCReeks
     */
    public function setStraatnaam($straatnaam = null)
    {
        // validation for constraint: string
        if (!is_null($straatnaam) && !is_string($straatnaam)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($straatnaam, true), gettype($straatnaam)), __LINE__);
        }
        $this->straatnaam = $straatnaam;
        return $this;
    }
    /**
     * Get straatnaam_nen value
     * @return string|null
     */
    public function getStraatnaam_nen()
    {
        return $this->straatnaam_nen;
    }
    /**
     * Set straatnaam_nen value
     * @param string $straatnaam_nen
     * @return \StructType\PCReeks
     */
    public function setStraatnaam_nen($straatnaam_nen = null)
    {
        // validation for constraint: string
        if (!is_null($straatnaam_nen) && !is_string($straatnaam_nen)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($straatnaam_nen, true), gettype($straatnaam_nen)), __LINE__);
        }
        $this->straatnaam_nen = $straatnaam_nen;
        return $this;
    }
    /**
     * Get straatnaam_ptt value
     * @return string|null
     */
    public function getStraatnaam_ptt()
    {
        return $this->straatnaam_ptt;
    }
    /**
     * Set straatnaam_ptt value
     * @param string $straatnaam_ptt
     * @return \StructType\PCReeks
     */
    public function setStraatnaam_ptt($straatnaam_ptt = null)
    {
        // validation for constraint: string
        if (!is_null($straatnaam_ptt) && !is_string($straatnaam_ptt)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($straatnaam_ptt, true), gettype($straatnaam_ptt)), __LINE__);
        }
        $this->straatnaam_ptt = $straatnaam_ptt;
        return $this;
    }
    /**
     * Get straatnaam_extract value
     * @return string|null
     */
    public function getStraatnaam_extract()
    {
        return $this->straatnaam_extract;
    }
    /**
     * Set straatnaam_extract value
     * @param string $straatnaam_extract
     * @return \StructType\PCReeks
     */
    public function setStraatnaam_extract($straatnaam_extract = null)
    {
        // validation for constraint: string
        if (!is_null($straatnaam_extract) && !is_string($straatnaam_extract)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($straatnaam_extract, true), gettype($straatnaam_extract)), __LINE__);
        }
        $this->straatnaam_extract = $straatnaam_extract;
        return $this;
    }
    /**
     * Get plaatsid value
     * @return int|null
     */
    public function getPlaatsid()
    {
        return $this->plaatsid;
    }
    /**
     * Set plaatsid value
     * @param int $plaatsid
     * @return \StructType\PCReeks
     */
    public function setPlaatsid($plaatsid = null)
    {
        // validation for constraint: int
        if (!is_null($plaatsid) && !(is_int($plaatsid) || ctype_digit($plaatsid))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($plaatsid, true), gettype($plaatsid)), __LINE__);
        }
        $this->plaatsid = $plaatsid;
        return $this;
    }
    /**
     * Get plaatsnaam value
     * @return string|null
     */
    public function getPlaatsnaam()
    {
        return $this->plaatsnaam;
    }
    /**
     * Set plaatsnaam value
     * @param string $plaatsnaam
     * @return \StructType\PCReeks
     */
    public function setPlaatsnaam($plaatsnaam = null)
    {
        // validation for constraint: string
        if (!is_null($plaatsnaam) && !is_string($plaatsnaam)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($plaatsnaam, true), gettype($plaatsnaam)), __LINE__);
        }
        $this->plaatsnaam = $plaatsnaam;
        return $this;
    }
    /**
     * Get plaatsnaam_ptt value
     * @return string|null
     */
    public function getPlaatsnaam_ptt()
    {
        return $this->plaatsnaam_ptt;
    }
    /**
     * Set plaatsnaam_ptt value
     * @param string $plaatsnaam_ptt
     * @return \StructType\PCReeks
     */
    public function setPlaatsnaam_ptt($plaatsnaam_ptt = null)
    {
        // validation for constraint: string
        if (!is_null($plaatsnaam_ptt) && !is_string($plaatsnaam_ptt)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($plaatsnaam_ptt, true), gettype($plaatsnaam_ptt)), __LINE__);
        }
        $this->plaatsnaam_ptt = $plaatsnaam_ptt;
        return $this;
    }
    /**
     * Get plaatsnaam_extract value
     * @return string|null
     */
    public function getPlaatsnaam_extract()
    {
        return $this->plaatsnaam_extract;
    }
    /**
     * Set plaatsnaam_extract value
     * @param string $plaatsnaam_extract
     * @return \StructType\PCReeks
     */
    public function setPlaatsnaam_extract($plaatsnaam_extract = null)
    {
        // validation for constraint: string
        if (!is_null($plaatsnaam_extract) && !is_string($plaatsnaam_extract)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($plaatsnaam_extract, true), gettype($plaatsnaam_extract)), __LINE__);
        }
        $this->plaatsnaam_extract = $plaatsnaam_extract;
        return $this;
    }
    /**
     * Get gemeenteid value
     * @return int|null
     */
    public function getGemeenteid()
    {
        return $this->gemeenteid;
    }
    /**
     * Set gemeenteid value
     * @param int $gemeenteid
     * @return \StructType\PCReeks
     */
    public function setGemeenteid($gemeenteid = null)
    {
        // validation for constraint: int
        if (!is_null($gemeenteid) && !(is_int($gemeenteid) || ctype_digit($gemeenteid))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($gemeenteid, true), gettype($gemeenteid)), __LINE__);
        }
        $this->gemeenteid = $gemeenteid;
        return $this;
    }
    /**
     * Get gemeentenaam value
     * @return string|null
     */
    public function getGemeentenaam()
    {
        return $this->gemeentenaam;
    }
    /**
     * Set gemeentenaam value
     * @param string $gemeentenaam
     * @return \StructType\PCReeks
     */
    public function setGemeentenaam($gemeentenaam = null)
    {
        // validation for constraint: string
        if (!is_null($gemeentenaam) && !is_string($gemeentenaam)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($gemeentenaam, true), gettype($gemeentenaam)), __LINE__);
        }
        $this->gemeentenaam = $gemeentenaam;
        return $this;
    }
    /**
     * Get gemeentecode value
     * @return int|null
     */
    public function getGemeentecode()
    {
        return $this->gemeentecode;
    }
    /**
     * Set gemeentecode value
     * @param int $gemeentecode
     * @return \StructType\PCReeks
     */
    public function setGemeentecode($gemeentecode = null)
    {
        // validation for constraint: int
        if (!is_null($gemeentecode) && !(is_int($gemeentecode) || ctype_digit($gemeentecode))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($gemeentecode, true), gettype($gemeentecode)), __LINE__);
        }
        $this->gemeentecode = $gemeentecode;
        return $this;
    }
    /**
     * Get cebucocode value
     * @return int|null
     */
    public function getCebucocode()
    {
        return $this->cebucocode;
    }
    /**
     * Set cebucocode value
     * @param int $cebucocode
     * @return \StructType\PCReeks
     */
    public function setCebucocode($cebucocode = null)
    {
        // validation for constraint: int
        if (!is_null($cebucocode) && !(is_int($cebucocode) || ctype_digit($cebucocode))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cebucocode, true), gettype($cebucocode)), __LINE__);
        }
        $this->cebucocode = $cebucocode;
        return $this;
    }
    /**
     * Get provinciecode value
     * @return string|null
     */
    public function getProvinciecode()
    {
        return $this->provinciecode;
    }
    /**
     * Set provinciecode value
     * @param string $provinciecode
     * @return \StructType\PCReeks
     */
    public function setProvinciecode($provinciecode = null)
    {
        // validation for constraint: string
        if (!is_null($provinciecode) && !is_string($provinciecode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($provinciecode, true), gettype($provinciecode)), __LINE__);
        }
        $this->provinciecode = $provinciecode;
        return $this;
    }
    /**
     * Get provincienaam value
     * @return string|null
     */
    public function getProvincienaam()
    {
        return $this->provincienaam;
    }
    /**
     * Set provincienaam value
     * @param string $provincienaam
     * @return \StructType\PCReeks
     */
    public function setProvincienaam($provincienaam = null)
    {
        // validation for constraint: string
        if (!is_null($provincienaam) && !is_string($provincienaam)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($provincienaam, true), gettype($provincienaam)), __LINE__);
        }
        $this->provincienaam = $provincienaam;
        return $this;
    }
}
