<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for StukMetKadastraleAanduiding StructType
 * @subpackage Structs
 */
class StukMetKadastraleAanduiding extends AbstractStructBase
{
    /**
     * The id
     * @var string
     */
    public $id;
    /**
     * The kadastrale_aanduiding
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadastraleAanduiding
     */
    public $kadastrale_aanduiding;
    /**
     * Constructor method for StukMetKadastraleAanduiding
     * @uses StukMetKadastraleAanduiding::setId()
     * @uses StukMetKadastraleAanduiding::setKadastrale_aanduiding()
     * @param string $id
     * @param \StructType\KadastraleAanduiding $kadastrale_aanduiding
     */
    public function __construct($id = null, \StructType\KadastraleAanduiding $kadastrale_aanduiding = null)
    {
        $this
            ->setId($id)
            ->setKadastrale_aanduiding($kadastrale_aanduiding);
    }
    /**
     * Get id value
     * @return string|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param string $id
     * @return \StructType\StukMetKadastraleAanduiding
     */
    public function setId($id = null)
    {
        // validation for constraint: string
        if (!is_null($id) && !is_string($id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->id = $id;
        return $this;
    }
    /**
     * Get kadastrale_aanduiding value
     * @return \StructType\KadastraleAanduiding|null
     */
    public function getKadastrale_aanduiding()
    {
        return $this->kadastrale_aanduiding;
    }
    /**
     * Set kadastrale_aanduiding value
     * @param \StructType\KadastraleAanduiding $kadastrale_aanduiding
     * @return \StructType\StukMetKadastraleAanduiding
     */
    public function setKadastrale_aanduiding(\StructType\KadastraleAanduiding $kadastrale_aanduiding = null)
    {
        $this->kadastrale_aanduiding = $kadastrale_aanduiding;
        return $this;
    }
}
